Name:           spotify-qt
Version:        3.12
Release:        1%{?dist}
Summary:        Lightweight Spotify client using Qt

License:        GPLv3
URL:            https://github.com/kraxarn/%{name}
Source0:        https://github.com/kraxarn/%{name}/archive/refs/tags/v%{version}.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  qt6-qtbase-devel
BuildRequires:  qt6-qtsvg-devel
Requires:       qt6-qtbase
Requires:       qt6-qtsvg

%description
An unofficial Spotify client using Qt as a simpler, lighter alternative to the official client.

%prep
%autosetup


%build
cmake -DCMAKE_BUILD_TYPE=Release -DCMAKE_INSTALL_PREFIX=/usr .
%make_build


%install
%make_install


%files
%license license
%doc readme.md



%changelog
* Wed Dec 11 2024 kraxarn - 3.12-1
- Fixed show/hide for "Added" column not being properly saved (#219, #267).
- Fixed some crashes related to starting Spotify client (#251, #252).
- Fixed search not loading results properly (#268).
- Fixed showing "0 tracks" in album context menu for non-cached albums until loaded.
- Fixed showing empty invalid playlists in the list of playlists.
- Fixed layout breaking on long status messages.
- Fixed sometimes showing a failed status for successful actions.
- Track and artist can now be clicked in now playing preview (#253).
- Added option to like albums from context menu (#255).
- Improved performance when loading artist albums.
- Added support for setting custom window and tray icon titles.
- Reworked "New Releases" to fetch everything as albums.
- Improved performance when loading album tracks.
- Removed support for saving passwords, as it's no longer supported.
- Removed optional keychain dependency.
- Added support for new OAuth authentication.
- Now requires librespot v0.5.0 or newer.
- Removed deprecated "Audio features".
- Improved performance when loading playlists.
- Now shows "Open/Close" in tray icon when "Close to tray" is enabled.
- Improved error messages from Spotify client.
- No longer shows "Related" artists when not available.

